@import url("../fonts/fonts.css");
/*! HTML5 Boilerplate v9.0.1 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visually-hidden {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .visually-hidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visually-hidden.focusable:active,
.visually-hidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* resets */
html,
body,
main {
  width: 100%;
  margin: 0;
}

html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
html * {
  box-sizing: border-box;
}
*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
}
html,
body {
  overflow-x: hidden;
  width: 100%;
  max-width: 100%;
}

/*
  * END OF DEFAULT STYLES, 
  * custom styles below =>
  * Mobile first logic is used
  */

/* CSS VARIABLES */
:root {
  --main-black: #000;
  --light-grey: #f8f8f8;
  --dark-grey: #cccccc;
  --main-white: #ffffff;
  --accent-blue: #005aeb;
  --main-green: #00c7b1;
  --main-font: "Montserrat", sans-serif;
}

/* MOBILE FIRST => Default: Extra-small devices such as small phones (less than 640px) */
body {
  font-family: var(--main-font);
  background-color: var(--main-black);
  color: white;
  -webkit-font-smoothing: antialiased;
  overflow-x: hidden;
}

.main-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  /* justify-content: stretch; */
  height: calc(var(--vh, 1vh) * 100);
  width: 100%;
  overflow: hidden;
  min-height: 650px;
  z-index: 10;
}

.background {
  height: calc(100% - 50px);
  width: 100%;
  position: absolute;
  z-index: -1;
  background-image: url("../img/bg-desk.webp");
  background-size: auto 100%;
  background-position: -243px 0px;
}

.phone-image {
  position: absolute;
  width: 500px;
  height: 639px;
  z-index: 1;
  background-size: auto 100%;
  background-position: center right;
  right: -100px;
  top: 200px;
  /* bottom: -60px; */
  background-repeat: no-repeat;
  z-index: 0;
}

.phone-image.sr {
  background-image: url("../img/psr.webp");
}
.phone-image.en {
  background-image: url("../img/pen.webp");
}

.background img {
  width: auto;
  height: 100%;
}

.main-screen-items {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  flex-grow: 1;
  width: 100%;
  align-items: flex-start;
  padding: 20px 24px 40px;
  z-index: 100;
}

.headline-image {
  height: 100px;
  width: 100%;
  margin: 20px 0 auto 0;
}

.headline-image.en {
  height: 114px;
  margin-top: 6px;
}
.headline-image.sr {
  height: 80px;
}

.headline-image img {
  height: 100%;
  width: auto;
}

.header-logo img {
  width: auto;
  height: 78px;
}

.subhead-wrapper {
  height: 72px;
  width: auto;
}

.subhead-wrapper img {
  height: 100%;
  width: 100%;
}

.cta-button {
  background: linear-gradient(180deg, #00bbff 0%, #bdee00 100%);
  width: auto;
  padding: 0 24px;
  min-height: 48px;
  height: 51px;
  border-radius: 25px;
  color: white;
  text-transform: uppercase;
  text-decoration: none;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  cursor: pointer;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.5);
  transition: all 0.5;
  font-size: 29px;
  font-style: italic;
  font-weight: 900;
  line-height: 27px;
  align-self: center;
  margin-bottom: 20px;
}

.cta-qrcode {
  display: none;
  visibility: hidden;
  background-image: url("../img/qr-code-mobile.png");
  background-size: contain;
  height: 54px;
  width: 54px;
  margin-right: 8px;
}

.cta-button:hover {
  box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.5);
  transition: all;
  transition-duration: 500ms;
}

footer {
  z-index: 100;
  background-color: #000;
}

.footer-flow {
  padding: 32px;
  background: linear-gradient(
    0deg,
    rgba(117, 59, 189, 0.5) 0%,
    rgba(0, 0, 0, 1) 25%,
    rgba(0, 0, 0, 1) 75%,
    rgba(117, 59, 189, 0.5) 100%
  );
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  width: 100%;
}
.footer-flow-welcome {
  font-family: var(--main-font);
  font-size: 12px;
  font-weight: 400;
  line-height: 18px;
  text-transform: uppercase;
  font-style: italic;
  text-align: left;
  margin-bottom: 32px;
}

.footer-header {
  font-family: var(--main-font);
  font-size: 16px;
  font-weight: 700;
  line-height: 19px;
  text-align: left;
  color: var(--main-green);
  margin-bottom: 24px;
}

.footer-list-item {
  font-family: var(--main-font);
  font-size: 12px;
  font-weight: 500;
  line-height: 14px;
  text-align: left;
  position: relative;
  margin-left: 8px;
}

.footer-list {
  margin-bottom: 32px;
}

.footer-list-item::before {
  content: "";
  position: absolute;
  left: -6px;
  top: 6px;
  height: 2px;
  width: 2px;
  border-radius: 100%;
  background-color: var(--main-white);
}

.footer-flow-outro {
  font-family: var(--main-font);
  font-size: 12px;
  font-style: italic;
  font-weight: 700;
  line-height: 18px;
  text-align: left;
  color: var(--main-green);
}

footer {
  max-width: 100vw;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  overflow: hidden;
  background-color: #000;
}
footer a {
  all: unset;
  cursor: pointer;
}
.footer-menu-item a:hover {
  opacity: 0.9;
}

.social-icon:hover {
  opacity: 0.9;
}

.footer-stores {
  background-color: #000;
  overflow: hidden;
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  justify-content: center;
  padding: 16px 16px 16px 16px;
  z-index: 100;
}
.footer-store-link {
  margin-right: 2px;
  display: flex;
  height: 28px;
  margin-bottom: 8px;
}

.footer-store-link:last-of-type {
  margin-right: 0 !important;
}

.footer-store-link .footer-store-icon {
  height: 100%;
  width: auto;
}

.footer-logo {
  height: 47px;
  width: 128px;
}

.footer-container {
  box-sizing: border-box;
  background-color: var(--main-black);
  /* background: linear-gradient(
    0deg,
    rgba(0, 0, 0, 1) 0%,
    rgba(117, 59, 189, 0.5) 100%
  ); */
  padding: 20px 20px 0;
  width: 100vw;
  z-index: 100;
}

.footer-menu {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.footer-menu-item {
  font-size: 10px;
  font-weight: 300;
  line-height: 18px;
}

.footer-container {
  position: relative;
}

.footer-social-section {
  position: absolute;
  right: 20px;
  top: 28px;
  display: flex;
  align-items: center;
}

.footer-18icon {
  margin-right: 50px;
}

.social-icon:first-of-type {
  margin-right: 16px;
}

.footer-18icon {
  height: 32px;
  width: 32px;
}

.social-icon img {
  height: 20px;
  width: 20px;
}

.footer-copyright {
  padding: 20px;
  width: 100vw;
}

.footer-text {
  font-size: 8px;
  font-weight: 300;
  line-height: 9.6px;
  text-align: left;
}
.text-colored {
  color: #00c7b1;
}

@media only screen and (min-width: 768px) {
  .main-content {
    max-height: 10000px;
    min-height: 800px;
    padding-bottom: 0;
    height: calc(var(--vh, 1vh) * 100);
  }

  .background {
    min-height: 800px;
    position: absolute;
    z-index: -1;
    background-image: url("../img/bg-desk old.webp");
    background-size: cover;
    background-position: 0 0;
    height: calc(100% - 104px);
    filter: saturate(2) brightness(50%) contrast(1.1);
  }

  .header-logo img {
    margin-top: 30px;
    height: 156px;
    width: 432px;
  }

  .phone-image {
    height: 700px;
    width: 800px;
    right: -100px;
    bottom: 120px;
    background-position: center right;
    background-repeat: no-repeat;
    /* background-size: 100% auto; */
  }

  .phone-image.sr {
    background-image: url("../img/phone-crop-sr.webp");
  }
  .phone-image.en {
    background-image: url("../img/phone-crop-en.webp");
  }

  .headline-image {
    height: 100px;
    width: 100%;
    margin: auto 0;
  }

  .headline-image.en {
    height: 180px;
  }
  .headline-image.sr {
    height: 150px;
  }

  .cta-button {
    background: linear-gradient(180deg, #00bbff 0%, #bdee00 100%);
    min-width: 474px;
    max-width: 474px;
    padding: 20px 40px 20px 20px;
    min-height: 192px;
    height: 192px;
    border-radius: 18px 128px 128px 18px;
    color: white;
    font-size: 50px;
    font-style: italic;
    font-weight: 900;
    line-height: 47px;
    text-transform: uppercase;
    text-decoration: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    cursor: pointer;
    box-shadow: 0px 14px 4px 0px rgba(0, 0, 0, 0.5);
    transition: all 0.5;
    align-self: flex-start;
    overflow-wrap: normal;
  }

  .cta-qrcode {
    display: flex;
    visibility: visible;
    background-image: url("../img/qr-code-desk.png");
    background-size: contain;
    background-repeat: no-repeat;
    height: 152px;
    width: 152px;
    min-width: 152px;
    margin-right: 20px;
  }

  .footer-stores {
    padding: 30px;
    /* margin-top: 100px; */
    height: auto;
    min-height: 124px;
  }

  .footer-store-link {
    height: 64px;
  }

  .footer-flow {
    padding: 32px;
    background: linear-gradient(
      0deg,
      rgba(117, 59, 189, 0.5) 0%,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 1) 75%,
      rgba(117, 59, 189, 0.5) 100%
    );
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
  }

  .footer-flow > * {
    width: 640px;
  }

  .footer-flow-welcome {
    font-size: 32px;
    line-height: 32px;
  }

  .footer-header {
    font-size: 24px;
    font-weight: 700;
    line-height: 43px;
  }

  .footer-list-item {
    font-size: 20px;
    font-weight: 500;
    line-height: 36px;
    margin-left: 24px;
  }

  .footer-list {
    margin-bottom: 32px;
  }

  .footer-list-item::before {
    content: "";
    position: absolute;
    left: -12px;
    top: 16px;
    height: 4px;
    width: 4px;
    border-radius: 100%;
    background-color: var(--main-white);
  }

  .footer-flow-outro {
    font-size: 28px;
    font-weight: 300;
    line-height: 30px;
  }

  .footer-menu {
    max-width: 573px;
  }

  .footer-container {
    padding: 50px 50px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .footer-18icon {
    height: 42px;
    width: 42px;
  }
  .social-icon:first-of-type {
    margin-right: 32px;
  }

  .social-icon img {
    height: 32px;
    width: 32px;
  }

  .footer-store-link {
    height: 64px !important;
    margin-bottom: 0 !important;
    margin-right: 3px;
  }
  .footer-store-link:last-of-type {
    margin-right: 0 !important;
  }

  .footer-store-link img.footer-store-icon {
    height: 64px;
  }

  .footer-logo {
    height: 79px;
    width: 217px;
  }

  .footer-menu-item {
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
  }

  .footer-copyright {
    padding: 50px;
  }

  .footer-social-section {
    position: static;
  }

  .footer-text {
    font-size: 16px;
    font-weight: 300;
    line-height: 28.8px;
    text-align: left;
  }
}

@media only screen and (min-width: 1280px) {
  .main-content {
    /* max-height: auto; */
    min-height: 810px;
    height: auto;
  }

  .main-screen-items {
    justify-content: space-between;
    padding: 30px 60px;
    height: 100%;
    flex-grow: 1;
    padding-bottom: 60px;
  }
  .headline-image {
    /* margin: 40px 0 60px; */
  }
  .phone-image {
    height: 800px;
    width: 1000px;
    right: -100px;
    bottom: 0px;
  }
}

@media only screen and (min-width: 1366px) {
  .phone-image {
    height: 800px;
    width: 1000px;
    right: -100px;
    bottom: 0px;
  }
}

@media only screen and (min-width: 1440px) {
  .main-content {
    max-height: 10000px;
    min-height: calc(var(--vh, 1vh) * 100);
    height: auto;
  }
  .phone-image {
    height: 700px;
    width: 800px;
    right: -30px;
    bottom: 120px;
  }
}

@media only screen and (min-width: 1920px) {
  .phone-image {
    height: 850px;
    width: 1100px;
    right: 0;
    bottom: 120px;
  }

  .headline-image.en {
    margin-top: 80px;

    height: 250px;
  }
  .headline-image.sr {
    margin-top: 80px;

    height: 250px;
  }
}
